SDL_PenConnected(3)

NAME
SDL_PenConnected - Checks whether a pen is still attached.

HEADER FILE
Defined in SDL3/SDL_pen.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_PenConnected(SDL_PenID instance_id);

DESCRIPTION
If a pen is detached, it will not show up for SDL_GetPens (). Other operations will still be available but may return default values.

FUNCTION PARAMETERS

instance_id
    A pen ID.

RETURN VALUE
Returns SDL_TRUE
 if "instance_id" is valid and the corresponding pen is attached, or SDL_FALSE
 otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.